commit:     d61a72841e3bfdf68ea8e8b390ddcef1944a8a86
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 28 14:12:17 2019 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Oct 28 17:00:00 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d61a7284

dev-python/setuptools: Bump to 41.5.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/setuptools/Manifest                 |  1 +
 dev-python/setuptools/setuptools-41.5.0.ebuild | 73 ++++++++++++++++++++++++++
 2 files changed, 74 insertions(+)

diff --git a/dev-python/setuptools/Manifest b/dev-python/setuptools/Manifest
index eee02d34302..3d139baae53 100644
--- a/dev-python/setuptools/Manifest
+++ b/dev-python/setuptools/Manifest
@@ -3,3 +3,4 @@ DIST setuptools-40.6.3.zip 839328 BLAKE2B 
ddc87213439ce2ad96ba54218bd5b3e41a7c31
 DIST setuptools-41.1.0.zip 851100 BLAKE2B 
1a2dcb1d3f1a34d9a5dab5156b76cddb03da0f3745e57ebdd363cdd23512df0de8f0d3131c930e2b67ae34fc15f75a9c06802826f97508bfb937a9e45ff287f4
 SHA512 
07e3381fffc7b75051640c07e334794cb008682e05ab8bbd5bb1e9757fd36305997a2974c424fd474411941f5ff014a53ec1edc276543593b238fe1e97d7d106
 DIST setuptools-41.2.0.zip 851251 BLAKE2B 
1c4896c429c670832a46f951dc4c4958f808f1a7c0ad88670705fe265bee23c1d2b6a348b13298b0a60b6c821d504567d4d35b33f388949028391219cd45191e
 SHA512 
6ac0da9f2e452b2b2334c03eb1667d88ebffeb68da18a69fe14f9f0763ac391986dcc663f123015b63eb0c3f905e5a8be7408499ddb1ac20367109275cb66ac9
 DIST setuptools-41.4.0.zip 855608 BLAKE2B 
8047a5915d37168c04eded6e0b0b2273557bba7558a173d3f904985471124703797e2b5d00ce8c28096213a181e268a9bae5566f112683b3bee21df26795f5d3
 SHA512 
3b8406dd6ea23623112b8ba418e70fa97317449838a5dfc54d46738dbde3f2fc15657466e296e2f9bf72cbbaa0aa28ba42d8392afe29f9583cca258645e189b7
+DIST setuptools-41.5.0.zip 851068 BLAKE2B 
1a45674719fb661eccb43789f0851a1bb1800d13e5a0f99916762c9391bf49acd580b6500e0f5e8f0b23f6a671891b82c48d6300c9d9b7605cb0dfdca7a15075
 SHA512 
d02c5db7649281fcdc010837a600611af260bb7563440da4ad84cdbaa35b19c7cc1890ae7bdc58b49dfed20041b0ac52a8dbe0dfb340a804668cbecaea6b2bb7

diff --git a/dev-python/setuptools/setuptools-41.5.0.ebuild 
b/dev-python/setuptools/setuptools-41.5.0.ebuild
new file mode 100644
index 00000000000..f3990f7b4a6
--- /dev/null
+++ b/dev-python/setuptools/setuptools-41.5.0.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} pypy{,3} )
+PYTHON_REQ_USE="xml(+)"
+
+inherit distutils-r1
+
+if [[ ${PV} == "9999" ]]; then
+       EGIT_REPO_URI="https://github.com/pypa/setuptools.git";
+       inherit git-r3
+else
+       SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.zip"
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sh ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos 
~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+fi
+
+DESCRIPTION="Collection of extensions to Distutils"
+HOMEPAGE="https://github.com/pypa/setuptools 
https://pypi.org/project/setuptools/";
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+"
+DEPEND="${RDEPEND}
+       app-arch/unzip
+       test? (
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/pip[${PYTHON_USEDEP}]
+               >=dev-python/pytest-3.7.0[${PYTHON_USEDEP}]
+               <dev-python/pytest-4
+               dev-python/pytest-fixture-config[${PYTHON_USEDEP}]
+               dev-python/pytest-virtualenv[${PYTHON_USEDEP}]
+               dev-python/wheel[${PYTHON_USEDEP}]
+               virtual/python-futures[${PYTHON_USEDEP}]
+       )
+"
+PDEPEND="
+       >=dev-python/certifi-2016.9.26[${PYTHON_USEDEP}]"
+
+# Force in-source build because build system modifies sources.
+DISTUTILS_IN_SOURCE_BUILD=1
+
+DOCS=( {CHANGES,README}.rst 
docs/{easy_install.txt,pkg_resources.txt,setuptools.txt} )
+
+python_prepare_all() {
+       if [[ ${PV} == "9999" ]]; then
+               python_setup
+               ${EPYTHON} bootstrap.py || die
+       fi
+
+       # disable tests requiring a network connection
+       rm setuptools/tests/test_packageindex.py || die
+
+       # don't run integration tests
+       rm setuptools/tests/test_integration.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       # test_easy_install raises a SandboxViolation due to 
${HOME}/.pydistutils.cfg
+       # It tries to sandbox the test in a tempdir
+       HOME="${PWD}" pytest -vv ${PN} || die "Tests failed under ${EPYTHON}"
+}
+
+python_install() {
+       export DISTRIBUTE_DISABLE_VERSIONED_EASY_INSTALL_SCRIPT=1
+       distutils-r1_python_install
+}

Reply via email to